---
page_source: https://docs.juspay.io/paytm-gateway-configuration/docs/express-checkout/card-info
page_title: Card Info
---

## API Version: default


# Card Info



Get Card details using card bin. You can also use this API to check if a card is eligible for ATM PIN, Mandate or direct otp payments. ## Endpoints:
- Production: https://api.juspay.in/cardbins/{cardbins}

## Request Type: 
GET

## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl -X GET https://api.juspay.in/cardbins/524368
```

#### Request - Mandate Eligibility Code Snippet:

```request - mandate eligibility
curl --location --request GET 'https://api.juspay.in/cardbins/424242?merchant_id=merchantId&options.check_mandate_support=true'
```

### Sample Response:

#### Response:
```json
{
  "id": "485498",
  "card_sub_type": "REGALIA",
  "brand": "VISA",
  "bank": "JP MORGAN",
  "object": "cardbin",
  "type": "CREDIT",
  "juspay_bank_code": "JP_X",
  "country": "SINGAPORE"
}
```

#### Mandate Eligibility:
```json
{
  "id": "541919",
  "card_sub_type": "PLATINUM",
  "mandate_support": true,
  "brand": "MASTERCARD",
  "bank": "JP MORGAN",
  "object": "cardbin",
  "type": "DEBIT",
  "juspay_bank_code": "JP_X",
  "country": "SINGAPORE"
}
```

## Query Parameters:

#### merchant_id:
Merchant ID which represents the merchant storing the card
- Tags: string

#### options.check_mandate_support:
This is a boolean variable and accepts true/false. If set to `true`, then the card eligibility check for mandate transactions
- Tags: boolean
## API Responses:
### 200:

#### Card Info:
- Value:
  - **Id**:
    - Tags: String
  - **Card_sub_type**:
    - Tags: String
  - **Brand**:
    - Tags: String
  - **Bank**:
    - Tags: String
  - **Object**:
    - Tags: String
  - **Type**:
    - Tags: String
  - **Juspay_bank_code**:
    - Tags: String
  - **Country**:
    - Tags: String
- Tags: JSON

#### Mandate Eligibility:
- Value:
  - **Id**:
    - Tags: String
  - **Card_sub_type**:
    - Tags: String
  - **Mandate_support**:
    - Tags: Boolean
  - **Brand**:
    - Tags: String
  - **Bank**:
    - Tags: String
  - **Object**:
    - Tags: String
  - **Type**:
    - Tags: String
  - **Juspay_bank_code**:
    - Tags: String
  - **Country**:
    - Tags: String
- Tags: JSON

#### DOTP Eligibility:
- Value:
  - **Id**:
    - Tags: String
  - **Card_sub_type**:
    - Tags: String
  - **Brand**:
    - Tags: String
  - **Bank**:
    - Tags: String
  - **Object**:
    - Tags: String
  - **Type**:
    - Tags: String
  - **Direct_otp_support**:
    - Tags: Boolean
  - **Juspay_bank_code**:
    - Tags: String
  - **Country**:
    - Tags: String
- Tags: JSON

#### Tokenization Eligibility:
- Value:
  - **Id**:
    - Tags: String
  - **Object**:
    - Tags: String
  - **Brand**:
    - Tags: String
  - **Bank**:
    - Tags: String
  - **Country**:
    - Tags: String
  - **Type**:
    - Tags: String
  - **Card_sub_type**:
    - Tags: String
  - **Juspay_bank_code**:
    - Tags: String
  - **Tokenize_support**:
    - Tags: Boolean
- Tags: JSON
### 404:

#### status:
- Description: invalid_request_error
- Tags: string

#### error_code:
- Description: object_not_found
- Tags: string

#### error_message:
- Description: Cannot find what you are looking for
- Tags: string
